#pragma once

#include "ComponentEditor.hpp"

struct RoofComponent;

class RoofEditor : public ComponentEditor<RoofComponent> {
public:
    bool renderComponent(flecs::entity entity, RoofComponent& roof) override;
    const char* getName() const override { return "Roof"; }
};
